View Issue Details

IDProjectCategoryView StatusLast Update
0025099mantisbtauthenticationpublic2019-01-02 17:25
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.18.0 
Target Version2.19.0Fixed in Version2.19.0 
Summary0025099: Auth plugins can't control session expiry time and disable perm login
Description

When determining the session expiry time for cookies, the core code uses default AuthFlag settings rather than an AuthFlags instance provided by plugin. Making the settings below ineffective:

setSessionLifetime( $p_seconds )
setPermSessionEnabled( $p_enabled )
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master e16586bf

2018-12-20 00:07:36

vboctor

Details Diff
Fix cookie settings to use plugin AuthFlags

Fixes 0025099
Affected Issues
0025099
mod - core/authentication_api.php Diff File

Issue History

Date Modified Username Field Change
2018-12-20 00:05 vboctor New Issue
2018-12-20 00:05 vboctor Status new => assigned
2018-12-20 00:05 vboctor Assigned To => vboctor
2018-12-20 00:12 vboctor Note Added: 0061085
2018-12-21 16:37 vboctor Changeset attached => MantisBT master e16586bf
2018-12-21 16:37 vboctor Status assigned => resolved
2018-12-21 16:37 vboctor Resolution open => fixed
2018-12-21 16:37 vboctor Fixed in Version => 2.19.0
2019-01-02 17:25 vboctor Status resolved => closed